// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/om"
)

/******************************************************************************
 *
 * @Description              : SerialOrderPOLst的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 13:55:54
 *
 ******************************************************************************/
var SerialOrderPOLst_PlantNr = grmi.NewField("PlantNr", "OM_SerialOrderPOLst.PlantNr", "plantnr", grmi.TypeInt)
var SerialOrderPOLst_SerialOrderId = grmi.NewField("SerialOrderId", "OM_SerialOrderPOLst.SerialOrderId", "serialorderid", grmi.TypeString)
var SerialOrderPOLst_PO = grmi.NewField("PO", "OM_SerialOrderPOLst.PO", "po", grmi.TypeInt)
var SerialOrderPOLst_Pos = grmi.NewField("Pos", "OM_SerialOrderPOLst.Pos", "pos", grmi.TypeInt)
var SerialOrderPOLst_Status = grmi.NewField("Status", "OM_SerialOrderPOLst.Status", "status", grmi.TypeInt)
var SerialOrderPOLst_SWCtrlPara1 = grmi.NewField("SWCtrlPara1", "OM_SerialOrderPOLst.SWCtrlPara1", "swctrlpara1", grmi.TypeString)
var SerialOrderPOLst_SWCtrlPara2 = grmi.NewField("SWCtrlPara2", "OM_SerialOrderPOLst.SWCtrlPara2", "swctrlpara2", grmi.TypeString)
var SerialOrderPOLst_SWCtrlPara3 = grmi.NewField("SWCtrlPara3", "OM_SerialOrderPOLst.SWCtrlPara3", "swctrlpara3", grmi.TypeInt)
var SerialOrderPOLst_SWCtrlPara4 = grmi.NewField("SWCtrlPara4", "OM_SerialOrderPOLst.SWCtrlPara4", "swctrlpara4", grmi.TypeInt)
var SerialOrderPOLst_SWCtrlPara5 = grmi.NewField("SWCtrlPara5", "OM_SerialOrderPOLst.SWCtrlPara5", "swctrlpara5", grmi.TypeFloat64)
var SerialOrderPOLst_SWCtrlPara6 = grmi.NewField("SWCtrlPara6", "OM_SerialOrderPOLst.SWCtrlPara6", "swctrlpara6", grmi.TypeFloat64)
var SerialOrderPOLst_LastModify = grmi.NewField("LastModify", "OM_SerialOrderPOLst.LastModify", "lastmodify", grmi.TypeDateTime)
var SerialOrderPOLst_LastUser = grmi.NewField("LastUser", "OM_SerialOrderPOLst.LastUser", "lastuser", grmi.TypeString)
var SerialOrderPOLst_CreateTime = grmi.NewField("CreateTime", "OM_SerialOrderPOLst.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SerialOrderPOLst的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 13:55:54
 *
 ******************************************************************************/
var SerialOrderPOLst = grmi.NewEntity(
	"OM_SerialOrderPOLst",
	func() interface{} { return &model.SerialOrderPOLst{} },
	map[string]grmi.Field{
		SerialOrderPOLst_PlantNr.Name:       SerialOrderPOLst_PlantNr,
		SerialOrderPOLst_SerialOrderId.Name: SerialOrderPOLst_SerialOrderId,
		SerialOrderPOLst_PO.Name:            SerialOrderPOLst_PO,
		SerialOrderPOLst_Pos.Name:           SerialOrderPOLst_Pos,
		SerialOrderPOLst_Status.Name:        SerialOrderPOLst_Status,
		SerialOrderPOLst_SWCtrlPara1.Name:   SerialOrderPOLst_SWCtrlPara1,
		SerialOrderPOLst_SWCtrlPara2.Name:   SerialOrderPOLst_SWCtrlPara2,
		SerialOrderPOLst_SWCtrlPara3.Name:   SerialOrderPOLst_SWCtrlPara3,
		SerialOrderPOLst_SWCtrlPara4.Name:   SerialOrderPOLst_SWCtrlPara4,
		SerialOrderPOLst_SWCtrlPara5.Name:   SerialOrderPOLst_SWCtrlPara5,
		SerialOrderPOLst_SWCtrlPara6.Name:   SerialOrderPOLst_SWCtrlPara6,
		SerialOrderPOLst_LastModify.Name:    SerialOrderPOLst_LastModify,
		SerialOrderPOLst_LastUser.Name:      SerialOrderPOLst_LastUser,
		SerialOrderPOLst_CreateTime.Name:    SerialOrderPOLst_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Status", "SWCtrlPara1", "SWCtrlPara2", "SWCtrlPara3", "SWCtrlPara4", "SWCtrlPara5", "SWCtrlPara6", "LastUser"})
