// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : OPCBasicComInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 13:55:54
 *
 ******************************************************************************/
var OPCBasicComInfo_PlantNr = grmi.NewField("PlantNr", "OPCBasicComInfo.PlantNr", "plantnr", grmi.TypeInt)
var OPCBasicComInfo_PO = grmi.NewField("PO", "OPCBasicComInfo.PO", "po", grmi.TypeInt)
var OPCBasicComInfo_StepNo = grmi.NewField("StepNo", "OPCBasicComInfo.StepNo", "stepno", grmi.TypeInt)
var OPCBasicComInfo_StepDesc = grmi.NewField("StepDesc", "OPCBasicComInfo.StepDesc", "stepdesc", grmi.TypeString)
var OPCBasicComInfo_StepType = grmi.NewField("StepType", "OPCBasicComInfo.StepType", "steptype", grmi.TypeString)
var OPCBasicComInfo_BrandName = grmi.NewField("BrandName", "OPCBasicComInfo.BrandName", "brandname", grmi.TypeString)
var OPCBasicComInfo_MachineType = grmi.NewField("MachineType", "OPCBasicComInfo.MachineType", "machinetype", grmi.TypeString)
var OPCBasicComInfo_IpAddress = grmi.NewField("IpAddress", "OPCBasicComInfo.IpAddress", "ipaddress", grmi.TypeString)
var OPCBasicComInfo_LastModify = grmi.NewField("LastModify", "OPCBasicComInfo.LastModify", "lastmodify", grmi.TypeDateTime)
var OPCBasicComInfo_LastUser = grmi.NewField("LastUser", "OPCBasicComInfo.LastUser", "lastuser", grmi.TypeString)
var OPCBasicComInfo_CreateTime = grmi.NewField("CreateTime", "OPCBasicComInfo.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OPCBasicComInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 13:55:54
 *
 ******************************************************************************/
var OPCBasicComInfo = grmi.NewEntity(
	"OPCBasicComInfo",
	func() interface{} { return &model.OPCBasicComInfo{} },
	map[string]grmi.Field{
		OPCBasicComInfo_PlantNr.Name:     OPCBasicComInfo_PlantNr,
		OPCBasicComInfo_PO.Name:          OPCBasicComInfo_PO,
		OPCBasicComInfo_StepNo.Name:      OPCBasicComInfo_StepNo,
		OPCBasicComInfo_StepType.Name: OPCBasicComInfo_StepType,
		OPCBasicComInfo_StepDesc.Name:    OPCBasicComInfo_StepDesc,
		OPCBasicComInfo_BrandName.Name:   OPCBasicComInfo_BrandName,
		OPCBasicComInfo_MachineType.Name: OPCBasicComInfo_MachineType,
		OPCBasicComInfo_IpAddress.Name:   OPCBasicComInfo_IpAddress,
		OPCBasicComInfo_LastModify.Name:  OPCBasicComInfo_LastModify,
		OPCBasicComInfo_LastUser.Name:    OPCBasicComInfo_LastUser,
		OPCBasicComInfo_CreateTime.Name:  OPCBasicComInfo_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"StepType", "StepDesc", "BrandName", "MachineType", "IpAddress", "LastUser"})
