// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : OPCComRule的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 13:55:54
 *
 ******************************************************************************/
var OPCComRule_PlantNr = grmi.NewField("PlantNr", "OPCComRule.PlantNr", "plantnr", grmi.TypeInt)
var OPCComRule_PO = grmi.NewField("PO", "OPCComRule.PO", "po", grmi.TypeInt)
var OPCComRule_StepNo = grmi.NewField("StepNo", "OPCComRule.StepNo", "stepno", grmi.TypeInt)
var OPCComRule_RuleId = grmi.NewField("RuleId", "OPCComRule.RuleId", "ruleid", grmi.TypeInt)
var OPCComRule_StepType = grmi.NewField("StepType", "OPCComRule.StepType", "steptype", grmi.TypeString)
var OPCComRule_StepDesc = grmi.NewField("StepDesc", "OPCComRule.StepDesc", "stepdesc", grmi.TypeString)
var OPCComRule_ActionType = grmi.NewField("ActionType", "OPCComRule.ActionType", "actiontype", grmi.TypeString)
var OPCComRule_DBlockAddress = grmi.NewField("DBlockAddress", "OPCComRule.DBlockAddress", "dblockaddress", grmi.TypeString)
var OPCComRule_DBlockValueType = grmi.NewField("DBlockValueType", "OPCComRule.DBlockValueType", "dblockvaluetype", grmi.TypeString)
var OPCComRule_DBlockValue = grmi.NewField("DBlockValue", "OPCComRule.DBlockValue", "dblockvalue", grmi.TypeString)
var OPCComRule_LastModify = grmi.NewField("LastModify", "OPCComRule.LastModify", "lastmodify", grmi.TypeDateTime)
var OPCComRule_LastUser = grmi.NewField("LastUser", "OPCComRule.LastUser", "lastuser", grmi.TypeString)
var OPCComRule_CreateTime = grmi.NewField("CreateTime", "OPCComRule.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OPCComRule的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-27 13:55:54
 *
 ******************************************************************************/
var OPCComRule = grmi.NewEntity(
	"OPCComRule",
	func() interface{} { return &model.OPCComRule{} },
	map[string]grmi.Field{
		OPCComRule_PlantNr.Name:         OPCComRule_PlantNr,
		OPCComRule_PO.Name:              OPCComRule_PO,
		OPCComRule_StepNo.Name:          OPCComRule_StepNo,
		OPCComRule_RuleId.Name:          OPCComRule_RuleId,
		OPCComRule_StepType.Name:        OPCComRule_StepType,
		OPCComRule_StepDesc.Name:        OPCComRule_StepDesc,
		OPCComRule_ActionType.Name:      OPCComRule_ActionType,
		OPCComRule_DBlockAddress.Name:   OPCComRule_DBlockAddress,
		OPCComRule_DBlockValueType.Name: OPCComRule_DBlockValueType,
		OPCComRule_DBlockValue.Name:     OPCComRule_DBlockValue,
		OPCComRule_LastModify.Name:      OPCComRule_LastModify,
		OPCComRule_LastUser.Name:        OPCComRule_LastUser,
		OPCComRule_CreateTime.Name:      OPCComRule_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"StepType", "StepDesc", "ActionType", "DBlockAddress", "DBlockValueType", "DBlockValue", "LastUser"})
